Class | Merb::Rack::Handler::Mongrel
In: | lib/merb-core/rack/handler/mongrel.rb
Parent: | ::Mongrel::HttpHandler

### Methods

new process run stop

### Public Class methods

new(app)

#### Parameters

app<Merb::Rack::Application>: | The app that Mongrel should handle.

:api: plugin

run(app, options={}) {|@server if block_given?| ...}

Runs the server and yields it to a block.

#### Parameters

app<Merb::Rack::Application>: | The app that Mongrel should handle.
options<Hash>: | Options to pass to Mongrel (see below).

#### Block parameters

server<Mongrel::HttpServer>: | The server to run.

#### Options (options)

:Host<String>: | The hostname on which the app should run. Defaults to "0.0.0.0"
:Port<Fixnum>: | The port for the app. Defaults to 8080.

:api: plugin

stop(block = true)

:api: private

### Public Instance methods

process(request, response)

#### Parameters

request<Merb::Request>: | The HTTP request to handle.
response<HTTPResponse>: | The response object to write response to.

:api: plugin

[Validate]